summaryrefslogtreecommitdiffstats
path: root/source/xap/pavucontrol/pavucontrol.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-05-23 18:47:30 +0000
committer Eric Hameleers <alien@slackware.com>2024-05-23 21:28:36 +0200
commit983b468de98dc068ca697028895969cccfce8ede (patch)
tree1a8f86db33a7050da51494f83f457ee247485c12 /source/xap/pavucontrol/pavucontrol.SlackBuild
parent9e8b1d12ae3410e98b461b6bc71480a6fcd1bfc2 (diff)
downloadcurrent-983b468de98dc068ca697028895969cccfce8ede.tar.gz
current-983b468de98dc068ca697028895969cccfce8ede.tar.xz
Thu May 23 18:47:30 UTC 202420240523184730
a/etc-15.1-x86_64-12.txz: Rebuilt. Remove less related profile variables from /etc/profile. a/exfatprogs-1.2.3-x86_64-1.txz: Upgraded. a/less-655-x86_64-2.txz: Rebuilt. Create /etc/profile.d/less.{csh,sh} for less related profile variables. By default, don't display the informational messages on the top line of the output (this can be configured in less.{csh,sh}. Don't attempt special handling of .log files as it breaks viewing a file such as foo.log.bz2. d/parallel-20240522-noarch-1.txz: Upgraded. l/python-trove-classifiers-2024.5.22-x86_64-1.txz: Upgraded. x/mesa-24.1.0-x86_64-1.txz: Upgraded. x/xterm-392-x86_64-1.txz: Upgraded. xap/pavucontrol-6.0-x86_64-1.txz: Upgraded.
Diffstat (limited to '')
-rwxr-xr-xsource/xap/pavucontrol/pavucontrol.SlackBuild35
1 files changed, 24 insertions, 11 deletions
diff --git a/source/xap/pavucontrol/pavucontrol.SlackBuild b/source/xap/pavucontrol/pavucontrol.SlackBuild
index db8b576ba..ba9f78fb7 100755
--- a/source/xap/pavucontrol/pavucontrol.SlackBuild
+++ b/source/xap/pavucontrol/pavucontrol.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -76,25 +76,38 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS -std=c++11" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$ARCH-slackware-linux || exit 1
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+# move this stuff
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/pavucontrol $PKG/usr/doc/$PKGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING* doc/README* LICENSE $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSE* $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc